up:
  comments: 'Rename from Neos.NeosDemoTypo3Org to Neos.Demo'
  migration:
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'Neos.NeosDemoTypo3Org:Registration'
      transformations:
        -
          type: 'ChangeNodeType'
          settings:
            newType: 'Neos.Demo:Registration'
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'Neos.NeosDemoTypo3Org:YouTube'
      transformations:
        -
          type: 'ChangeNodeType'
          settings:
            newType: 'Neos.Demo:YouTube'
    -
      filters:
        -
          type: 'NodeName'
          settings:
            nodeName: 'neosdemotypo3org'
      transformations:
        -
          type: 'RenameNode'
          settings:
            newName: 'neosdemo'

down:
  comments: 'Rename from Neos.Demo to Neos.NeosDemoTypo3Org'
  migration:
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'Neos.Demo:Registration'
      transformations:
        -
          type: 'ChangeNodeType'
          settings:
            newType: 'Neos.NeosDemoTypo3Org:Registration'
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'Neos.Demo:YouTube'
      transformations:
        -
          type: 'ChangeNodeType'
          settings:
            newType: 'Neos.NeosDemoTypo3Org:YouTube'
    -
      filters:
        -
          type: 'NodeName'
          settings:
            nodeName: 'neosdemo'
      transformations:
        -
          type: 'RenameNode'
          settings:
            newName: 'neosdemotypo3org'
